
Infrastructure - Task #2176

Story # 2166 (Closed): Hazelcast cluster errors need to be isolated

Ensure Metacat doesn't insert null SystemMetadata into Hazelcast

2012-01-09 22:09 - Chris Jones

Status: Closed Start date: 2012-01-09

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.50 hour

Target version: Sprint-2012.01-Block.1.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

There may be times when Metacat inserts a null SystemMetadata object into the hzSystemMetadata map (perhaps as a reserve

identifier placeholder).  Check in the code and change this behavior.

History

#1 - 2012-01-09 22:09 - Chris Jones

- Subject changed from Ensure Metacat doesn't insert null SystemMetadata into metacat to Ensure Metacat doesn't insert null SystemMetadata into

Hazelcast

#2 - 2012-01-10 16:06 - Chris Jones

- Status changed from New to In Progress

I've checked the CNodeService and D1NodeService classes, and don't see any places in the code, but need to check with Ben on this as well.

#3 - 2012-01-10 18:05 - Chris Jones

- Status changed from In Progress to Closed
